<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML3.2 EN">
<HTML>
<HEAD>
<META NAME="GENERATOR" CONTENT="DOCTEXT">
<TITLE>PetscBagRegisterEnum</TITLE>
</HEAD>
<BODY BGCOLOR="FFFFFF">
<A NAME="PetscBagRegisterEnum"><H1>PetscBagRegisterEnum</H1></A>
add an enum value to the bag 
<H3><FONT COLOR="#CC3333">Synopsis</FONT></H3>
<PRE>
#include "petsc.h"   
#include "petscbag.h"   
PetscErrorCode PetscBagRegisterEnum(PetscBag bag,void *addr,const char **list,PetscEnum mdefault, const char *name, const char* help)
</PRE>
Collective on <A HREF="../Sys/PetscBag.html#PetscBag">PetscBag</A>
<P>
<H3><FONT COLOR="#CC3333">Input Parameter</FONT></H3>
<TABLE border="0" cellpadding="0" cellspacing="0">
<TR><TD WIDTH=40></TD><TD ALIGN=LEFT VALIGN=TOP><B>bag </B></TD><TD>- the bag of values
</TD></TR>
<TR><TD WIDTH=40></TD><TD ALIGN=LEFT VALIGN=TOP><B>addr </B></TD><TD>- location of enum in struct
</TD></TR>
<TR><TD WIDTH=40></TD><TD ALIGN=LEFT VALIGN=TOP><B>mdefault </B></TD><TD>- the initial value
</TD></TR>
<TR><TD WIDTH=40></TD><TD ALIGN=LEFT VALIGN=TOP><B>list </B></TD><TD>- array of strings containing names of enum values followed by enum name followed by enum prefix
</TD></TR>
<TR><TD WIDTH=40></TD><TD ALIGN=LEFT VALIGN=TOP><B>help </B></TD><TD>- longer string with more information about the value
</TD></TR></TABLE>
<P>

<P>
<H3><FONT COLOR="#CC3333">See Also</FONT></H3>
 <A HREF="../Sys/PetscBag.html#PetscBag">PetscBag</A>, <A HREF="../Sys/PetscBagSetName.html#PetscBagSetName">PetscBagSetName</A>(), <A HREF="../Sys/PetscBagView.html#PetscBagView">PetscBagView</A>(), <A HREF="../Sys/PetscBagLoad.html#PetscBagLoad">PetscBagLoad</A>(), <A HREF="../Sys/PetscBagGetData.html#PetscBagGetData">PetscBagGetData</A>()
<BR><A HREF="../Sys/PetscBagRegisterInt.html#PetscBagRegisterInt">PetscBagRegisterInt</A>(), <A HREF="../Sys/PetscBagRegisterTruth.html#PetscBagRegisterTruth">PetscBagRegisterTruth</A>(), <A HREF="../Sys/PetscBagRegisterScalar.html#PetscBagRegisterScalar">PetscBagRegisterScalar</A>()
<A HREF="../Sys/PetscBagSetFromOptions.html#PetscBagSetFromOptions">PetscBagSetFromOptions</A>(), <A HREF="../Sys/PetscBagCreate.html#PetscBagCreate">PetscBagCreate</A>(), <A HREF="../Sys/PetscBagGetName.html#PetscBagGetName">PetscBagGetName</A>()
<P>
<P><B><P><B><FONT COLOR="#CC3333">Level:</FONT></B>beginner
<BR><FONT COLOR="#CC3333">Location:</FONT></B><A HREF="../../../src/sys/bag/bag.c.html#PetscBagRegisterEnum">src/sys/bag/bag.c</A>
<BR><A HREF="./index.html">Index of all Sys routines</A>
<BR><A HREF="../../index.html">Table of Contents for all manual pages</A>
<BR><A HREF="../singleindex.html">Index of all manual pages</A>
</BODY></HTML>
